## fonts-lohit-taml 2.91.3

=== Makefile ===
all: sfd-dist ttf woff eot ttf-dist web-dist  
version:= 2.91.3

test: test-ttf
	@echo "----------Testing actual-output with expected-output----------"
	fontforge -lang=py -script auto_test.py std-test-out.txt Lohit-Tamil.ttf

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	fontforge -lang=py -script apply_featurefile.py Lohit-Tamil.sfd Lohit-Tamil.fea
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	sfntly -w Lohit-Tamil.ttf Lohit-Tamil.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	sfntly -e -x Lohit-Tamil.ttf Lohit-Tamil.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-tamil-ttf-$(version)
	cp -p COPYRIGHT OFL.txt test-tamil.txt README  AUTHORS ChangeLog 66-lohit-tamil.conf Lohit-Tamil.ttf io.pagure.lohit.tamil.font.metainfo.xml lohit-tamil-ttf-$(version)
	rm -rf lohit-tamil-ttf-$(version)/.git
	tar -cf lohit-tamil-ttf-$(version).tar lohit-tamil-ttf-$(version)
	gzip lohit-tamil-ttf-$(version).tar
	rm -rf lohit-tamil-ttf-$(version)

sfd-dist: dist
	mkdir lohit-tamil-$(version)
	cp -p COPYRIGHT OFL.txt test-tamil.txt README  AUTHORS generate*.pe apply_featurefile.py auto_test.py *.fea Makefile ChangeLog 66-lohit-tamil.conf Lohit-Tamil.sfd std-test-out.txt io.pagure.lohit.tamil.font.metainfo.xml lohit-tamil-$(version)
	rm -rf lohit-tamil-$(version)/.git
	rm -rf lohit-tamil-$(version)/*.ttf
	tar -cf lohit-tamil-$(version).tar lohit-tamil-$(version)
	gzip lohit-tamil-$(version).tar
	rm -rf lohit-tamil-$(version)

web-dist: webdist
	mkdir lohit-tamil-web-$(version)
	cp -p COPYRIGHT OFL.txt test-tamil.txt README  AUTHORS ChangeLog Lohit-Tamil.woff  Lohit-Tamil.eot lohit-tamil-web-$(version)
	rm -rf lohit-tamil-web-$(version)/.git
	tar -cf lohit-tamil-web-$(version).tar lohit-tamil-web-$(version)
	gzip lohit-tamil-web-$(version).tar
	rm -rf lohit-tamil-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-tamil*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version test-ttf

## fonts-lohit-taml 2.5.0

=== debian/changelog ===
fonts-lohit-taml (2.5.0-1) unstable; urgency=low

  * Team upload.
  * Split from ttf-tamil-fonts package. This package contains lohit-tamil
    fonts.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Mon, 05 Mar 2012 01:34:31 +0530

=== debian/control ===
Source: fonts-lohit-taml
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/lohit
Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-ta.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-ta.git;a=summary

Package: fonts-lohit-taml
Architecture: all
Depends: ${misc:Depends}
Replaces: ttf-tamil-fonts (<= 1:0.5.12)
Breaks: ttf-tamil-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Tamil Language
 This package provides Lohit TrueType font for Tamil language (ta)
 which is primarily used in the Indian state of TamilNadu.

## fonts-lohit-taml 2.5.1

=== debian/changelog ===
fonts-lohit-taml (2.5.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/copyright:
    + Upstream license is not SIL OFL 1.1
  * debian/control, debian/install:
    + wrap-and-sort files.

 -- Kartik Mistry <kartik@debian.org>  Tue, 05 Jun 2012 21:59:57 +0530

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Build-Depends: debhelper (>= 8.0.0),
-               fontforge
+Build-Depends: debhelper (>= 8.0.0), fontforge
 Standards-Version: 3.9.3
 Homepage: https://fedorahosted.org/lohit
 Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-ta.git

## fonts-lohit-taml 2.5.3

=== debian/changelog ===
fonts-lohit-taml (2.5.3-1) unstable; urgency=low

  * Bumped Standrds-Version to 3.9.4 without changing the source package.
  * Use canoncial anonscm.d.o URL's for Vcs-* fields.
  * Mark the package as multi-arch foreign to allow smooth installation on
    multi-arch systems.
  * Added links file to install symlink to 66-lohit-tamil.conf to
    /etc/fonts/conf.d folder.
  * Imported Upstream version 2.5.3

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 02 Jun 2013 12:01:30 +0530

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), fontforge
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://fedorahosted.org/lohit
-Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-ta.git
-Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-ta.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-in/fonts-lohit-ta.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-lohit-ta.git
 
 Package: fonts-lohit-taml
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: ttf-tamil-fonts (<= 1:0.5.12)
 Breaks: ttf-tamil-fonts (<= 1:0.5.12)

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/o/lohit/lohit-tamil-(\d\.\d\.\d\.*\d{0,1})\.tar\.gz

## fonts-lohit-taml 2.91.3

=== debian/changelog ===
fonts-lohit-taml (2.91.3-3) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Fix failure to build source after successful build (Closes: #1044879)
  * Updated debian/watch to standard 5.
  * Added debian/upstream/metadata file.
  * debian/control:
    + Updated Standards-Version to 4.7.3
    + Removed redundant fields.
    + Bumped debhelper-compat.
  * debian/copyright:
    + Updated Debian copyright.
    + Use short version of CC0-1.0 license.
  * Fixed patch header.
  * Removed obsolete README.Debian.

 -- Kartik Mistry <kartik@debian.org>  Thu, 08 Jan 2026 18:41:38 +0530

fonts-lohit-taml (2.91.3-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    + Set Maintainer to Debian Fonts Task Force.
    + Switched to debhelper-compat.
    + Updated Vcs-* URLs.
    * Build-Depends: fontforge->fontforge-nox.
    + Updated Standards-Version to 4.5.0
    + Added 'Rules-Requires-Root' field.
  * Updated debian/copyright.
  * debian/rules:
    + Really skip tests.
  * Added debian/gitlab-ci.yml.

 -- Kartik Mistry <kartik@debian.org>  Thu, 23 Apr 2020 12:32:28 +0530

fonts-lohit-taml (2.91.3-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Team upload.
  * New upstream release.
  * Update debian/watch, Homepage, and Vcs- fields.
  * Don't try to build WOFF or EOF fonts since they require sfntly
    which isn't in Debian yet.
  * Don't fail the build for failing tests yet.
  * Don't try to install nonexistent docs.
  * Install appstream metadata.
  * Add fix-appstream-metadata.patch.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.0.0
    + Updated debhelper dependency to >= 10.
  * Set debian/compat to 10.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Sun, 25 Jun 2017 11:01:26 +0530

=== debian/control ===
Source: fonts-lohit-taml
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper-compat (= 13), fontforge-nox
Standards-Version: 4.7.3
Homepage: https://pagure.io/lohit
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-lohit-ta.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-lohit-ta

Package: fonts-lohit-taml
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-tamil-fonts (<= 1:0.5.12)
Breaks: ttf-tamil-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Tamil Language
 This package provides Lohit TrueType font for Tamil language (ta)
 which is primarily used in the Indian state of TamilNadu.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LANG := Tamil
BUILDDIR := build

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(BUILDDIR)
	cp Lohit-$(LANG).sfd $(BUILDDIR)/
	fontforge -lang=py -script apply_featurefile.py \
			$(BUILDDIR)/Lohit-$(LANG).sfd Lohit-$(LANG).fea Lohit-$(LANG).sfd
	(cd $(BUILDDIR) && fontforge -script ../generate.pe Lohit-$(LANG).sfd)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

override_dh_auto_test:
	# Skip tests since they aren't working yet
	# https://github.com/pravins/lohit/issues/83

=== debian/watch ===
Version: 5

Source: https://releases.pagure.org/lohit/
Matching-Pattern: lohit-tamil-([\d\.]+)\.tar\.gz
